curl --request PUT \
--url https://api.bunny.net/dnszone/{zoneId}/records \
--header 'AccessKey: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"Ttl": 123,
"Value": "<string>",
"Name": "<string>",
"Weight": 123,
"Priority": 123,
"Flags": 123,
"Tag": "<string>",
"Port": 123,
"PullZoneId": 123,
"ScriptId": 123,
"Accelerated": true,
"GeolocationLatitude": 123,
"GeolocationLongitude": 123,
"LatencyZone": "<string>",
"Disabled": true,
"EnviromentalVariables": [
{
"Name": "<string>",
"Value": "<string>"
}
],
"Comment": "<string>",
"AutoSslIssuance": true
}
'import requests
url = "https://api.bunny.net/dnszone/{zoneId}/records"
payload = {
"Ttl": 123,
"Value": "<string>",
"Name": "<string>",
"Weight": 123,
"Priority": 123,
"Flags": 123,
"Tag": "<string>",
"Port": 123,
"PullZoneId": 123,
"ScriptId": 123,
"Accelerated": True,
"GeolocationLatitude": 123,
"GeolocationLongitude": 123,
"LatencyZone": "<string>",
"Disabled": True,
"EnviromentalVariables": [
{
"Name": "<string>",
"Value": "<string>"
}
],
"Comment": "<string>",
"AutoSslIssuance": True
}
headers = {
"AccessKey": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {AccessKey: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
Ttl: 123,
Value: '<string>',
Name: '<string>',
Weight: 123,
Priority: 123,
Flags: 123,
Tag: '<string>',
Port: 123,
PullZoneId: 123,
ScriptId: 123,
Accelerated: true,
GeolocationLatitude: 123,
GeolocationLongitude: 123,
LatencyZone: '<string>',
Disabled: true,
EnviromentalVariables: [{Name: '<string>', Value: '<string>'}],
Comment: '<string>',
AutoSslIssuance: true
})
};
fetch('https://api.bunny.net/dnszone/{zoneId}/records', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"Id": 123,
"Type": 0,
"Ttl": 123,
"Value": "<string>",
"Name": "<string>",
"Weight": 123,
"Priority": 123,
"Port": 123,
"Flags": 123,
"Tag": "<string>",
"Accelerated": true,
"AcceleratedPullZoneId": 123,
"LinkName": "<string>",
"IPGeoLocationInfo": {
"CountryCode": "<string>",
"Country": "<string>",
"ASN": 123,
"OrganizationName": "<string>",
"City": "<string>"
},
"GeolocationInfo": {
"Country": "<string>",
"City": "<string>",
"Latitude": 123,
"Longitude": 123
},
"MonitorStatus": 0,
"MonitorType": 0,
"GeolocationLatitude": 123,
"GeolocationLongitude": 123,
"EnviromentalVariables": [
{
"Name": "<string>",
"Value": "<string>"
}
],
"LatencyZone": "<string>",
"SmartRoutingType": 0,
"Disabled": true,
"Comment": "<string>",
"AutoSslIssuance": true,
"AccelerationStatus": 0
}{
"ErrorKey": "<string>",
"Field": "<string>",
"Message": "<string>"
}Add DNS Record
Authorizations
API Access Key authorization header
Path Parameters
The DNS Zone ID to which the record will be added.
Body
0 = A 1 = AAAA 2 = CNAME 3 = TXT 4 = MX 5 = Redirect 6 = Flatten 7 = PullZone 8 = SRV 9 = CAA 10 = PTR 11 = Script 12 = NS 13 = SVCB 14 = HTTPS 15 = TLSA
0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15 0 = None 1 = Ping 2 = Http 3 = Monitor
0, 1, 2, 3 0 = None 1 = Latency 2 = Geolocation
0, 1, 2 Show child attributes
Show child attributes
Response
The DNS record was successfully added.
0 = A 1 = AAAA 2 = CNAME 3 = TXT 4 = MX 5 = Redirect 6 = Flatten 7 = PullZone 8 = SRV 9 = CAA 10 = PTR 11 = Script 12 = NS 13 = SVCB 14 = HTTPS 15 = TLSA
0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15 Show child attributes
Show child attributes
Show child attributes
Show child attributes
0 = Unknown 1 = Online 2 = Offline
0, 1, 2 0 = None 1 = Ping 2 = Http 3 = Monitor
0, 1, 2, 3 Show child attributes
Show child attributes
0 = None 1 = Latency 2 = Geolocation
0, 1, 2 0 = None 1 = Pending 2 = Processing 3 = Completed 4 = Failed
0, 1, 2, 3, 4 Was this page helpful?